> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/overview/websocket/websocket-overview.md).

# WebSocket Overview

Ticko provides public WebSocket streams for **Testnet** (Mainnet coming soon).

This page covers connecting, heartbeats, and connection limits. See **Subscribe & Unsubscribe** for channel subscription, and the channel pages for payloads.

## Connect

Ticko provides two public WebSocket connections on **Testnet**:

* Testnet `public/market`: `wss://ws.testnet.ticko.xyz/v1/public/market`
* Testnet `public/account`: `wss://ws.testnet.ticko.xyz/v1/public/account`

Connection usage:

* `public/market` supports market and explorer channels: `bbo`, `trade`, `kline`, `l2_book`, `ticker`, `all_tickers`, `coin_price`, `explorer_block`, and `explorer_txs`.
* `public/account` supports finalized account channels: `order`, `execution`, `position`, `balance`, and `settings`.

Clients must send a subscribe request within 10 seconds after connecting. Connections that do not subscribe within 10 seconds may be disconnected.

Heartbeat:

```json
{ "op": "ping" }
```

Server response:

```json
{ "op": "pong", "time": 1719500000000 }
```

Clients should send a ping every 30 seconds. Connections with no heartbeat for 60 seconds may be disconnected.

## Limits

* Each public connection type supports up to 20 active connections per IP.
* Each IP can open up to 50 new WebSocket connections per minute.
* Each WebSocket connection supports up to 50 active subscriptions.
* Subscribe and unsubscribe requests are limited to 100 requests per minute per IP.
* Each `public/account` connection can subscribe to up to 20 unique addresses.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/overview/websocket/websocket-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
